Initiate Moderation-Assist

Use this API to initiate the asynchronous moderation assist process

📘

URL: POST /api/v1/creatives/{creativeId}/moderation-assist

Path Parameters

ParameterDescriptionTypeRequiredPossible Values
creativeIdThe UUID of the creativestringYA valid creative ID

Request Parameters

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe ID of the specific advertiserintegerYA valid advertiser ID

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
Content-TypeFormat of the message bodyYapplication/json
WM_CONSUMER.IDUnique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATURESignature for authenticationYUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONKey version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value

Sample Request

curl -X POST \ --location 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/abcde-12345/moderation-assist' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --header 'WM_CONSUMER.ID: <consumer id>' \ --header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.INTIMESTAMP: 0000000000000' \ --header 'WM_SEC.AUTH_SIGNATURE: <token>' \ --data '{ "advertiserId": 123 }'

Response

ElementDescriptionType
jobIdUUID of async jobstring
statusStatus.
Values of status:PENDING, COMPLETED, FAILED
string
createdAtThe date of creationdate-time

Sample Response 1

{ "jobId": "11111111-aaaa-aaaa-aaaa-111111111111", "status": "PENDING", "createdAt": "2026-02-05T22:08:08Z"
}

Sample Response 2

{ "jobId": "11111111-aaaa-aaaa-aaaa-111111111111", "status": "PENDING", "createdAt": "2026-02-05T22:08:08Z"
}